summaryrefslogtreecommitdiffstats
path: root/test/hello_world
diff options
context:
space:
mode:
authorStewart Smith <stewart@linux.vnet.ibm.com>2017-03-24 12:30:19 +1100
committerStewart Smith <stewart@linux.vnet.ibm.com>2017-03-31 16:57:06 +1100
commit03f97028944815348ffd9c1ab1f895f763caa317 (patch)
tree6c65e655b22fcc432649647e44a0c55ac5125ea1 /test/hello_world
parent0a7449cd1ca17ab2e5553917e521394ab2dd71e8 (diff)
downloadblackbird-skiboot-03f97028944815348ffd9c1ab1f895f763caa317.tar.gz
blackbird-skiboot-03f97028944815348ffd9c1ab1f895f763caa317.zip
Mambo/Qemu boot tests: expect (and fail) on checkstop
This allows us to fail a lot faster if we checkstop Signed-off-by: Stewart Smith <stewart@linux.vnet.ibm.com>
Diffstat (limited to 'test/hello_world')
-rwxr-xr-xtest/hello_world/run_mambo_hello_world.sh1
-rwxr-xr-xtest/hello_world/run_mambo_p9_hello_world.sh1
-rwxr-xr-xtest/hello_world/run_qemu_hello_world.sh1
3 files changed, 3 insertions, 0 deletions
diff --git a/test/hello_world/run_mambo_hello_world.sh b/test/hello_world/run_mambo_hello_world.sh
index 5b63ce0c..5bb92bce 100755
--- a/test/hello_world/run_mambo_hello_world.sh
+++ b/test/hello_world/run_mambo_hello_world.sh
@@ -42,6 +42,7 @@ spawn $MAMBO_PATH/$MAMBO_BINARY -n -f ../../test/hello_world/run_hello_world.tcl
expect {
timeout { send_user "\nTimeout waiting for hello world\n"; exit 1 }
eof { send_user "\nUnexpected EOF\n;" exit 1 }
+"Machine Check Stop" { exit 1;}
"Execution stopped: Sim Support exit requested stop"
}
wait
diff --git a/test/hello_world/run_mambo_p9_hello_world.sh b/test/hello_world/run_mambo_p9_hello_world.sh
index 9309a2f4..eee0f733 100755
--- a/test/hello_world/run_mambo_p9_hello_world.sh
+++ b/test/hello_world/run_mambo_p9_hello_world.sh
@@ -41,6 +41,7 @@ spawn $P9MAMBO_PATH/$P9MAMBO_BINARY -n -f ../../test/hello_world/run_hello_world
expect {
timeout { send_user "\nTimeout waiting for hello world\n"; exit 1 }
eof { send_user "\nUnexpected EOF\n;" exit 1 }
+"Machine Check Stop" { exit 1;}
"Execution stopped: Sim Support exit requested stop"
}
wait
diff --git a/test/hello_world/run_qemu_hello_world.sh b/test/hello_world/run_qemu_hello_world.sh
index bcd0f563..e08f851f 100755
--- a/test/hello_world/run_qemu_hello_world.sh
+++ b/test/hello_world/run_qemu_hello_world.sh
@@ -38,6 +38,7 @@ spawn $QEMU_PATH/$QEMU_BINARY -m 1G -M powernv -kernel $SKIBOOT_ZIMAGE -nographi
expect {
timeout { send_user "\nTimeout waiting for hello world\n"; exit 1 }
eof { send_user "\nUnexpected EOF\n;" exit 1 }
+"Machine Check Stop" { exit 1;}
"Hello World!"
}
close
OpenPOWER on IntegriCloud